/*
 * Copyright (C) 2005 NTT DATA Corporation
 * 
 */
package org.postgresforest.tool.db;

/**
 * データベースエラー情報
 * 
 * データベースエラー発生時に本クラスを生成して、情報をセットする。
 * この情報を元に、画面のエラー表示を行う。 
 *
 */
public class ErrInfo {

	/** 接続先 */
	protected String m_url;
	/** SQL */
	protected String m_sql;
	/** Exception */
	protected Exception m_exception;

	/**
	 * コンストラクタ。
	 */
	public ErrInfo(String url, String sql, Exception exception) {
		m_url = url;
		m_sql = sql;
		m_exception = exception;
	}

	/**
	 * @return
	 */
	public String getErrMessage() {
		return m_exception.getMessage();
	}

	/**
	 * @return
	 */
	public Exception getException() {
		return m_exception;
	}

	/**
	 * @return
	 */
	public String getSql() {
		return m_sql;
	}

	/**
	 * @return
	 */
	public String getUrl() {
		return m_url;
	}

	/**
	 * @param exception
	 */
	public void setException(Exception exception) {
		m_exception = exception;
	}

	/**
	 * @param string
	 */
	public void setSql(String string) {
		m_sql = string;
	}

	/**
	 * @param string
	 */
	public void setUrl(String string) {
		m_url = string;
	}

}
